"use client"
import React, { useEffect } from 'react';
import dynamic from 'next/dynamic';
import { SciChartSurface } from 'scichart/Charting/Visuals/SciChartSurface';
import { NumericAxis } from 'scichart/Charting/Visuals/Axis/NumericAxis';
const SciChartDemo = () => {
  useEffect(() => {
    const initSciChart = async () => {
      // Dynamically import the SciChart modules to ensure they are only loaded client-side
      //const { SciChartSurface } = await import('scichart/Charting/Visuals/SciChartSurface');
      //const { NumericAxis } = await import('scichart/Charting/Visuals/Axis/NumericAxis');

      // Set your license code here
      //SciChartSurface.setRuntimeLicenseKey('YOUR_RUNTIME_KEY');

      // Create the SciChartSurface in the div 'scichart-root'
      const { sciChartSurface, wasmContext } = await SciChartSurface.create('scichart-root');

      // Create an X, Y Axis and add to the chart
      const xAxis = new NumericAxis(wasmContext);
      const yAxis = new NumericAxis(wasmContext);

      sciChartSurface.xAxes.add(xAxis);
      sciChartSurface.yAxes.add(yAxis);
    };

    initSciChart();
  }, []);

  return (
    
        <div id="scichart-root" style={{ width: '800px', height: '600px' }}></div>
      
  );
};

export default SciChartDemo;